# Generated from rrse-0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rrse

Name: rubygem-%{gem_name}
Version: 0.7
Release: 1%{?dist}
Summary: Ruby Reference Seeker for Emacsen
License: GPL-2.0
URL: http://www.kmc.gr.jp/~ohai/rrse.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
RRSE shows signatures of pointed ruby methods in the minibuffer
of emacs.
You need to install rrse.el after installing this gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rrse
%{gem_instdir}/GPL
%{gem_instdir}/NEWS.ja
%{gem_instdir}/bin
%{gem_instdir}/elisp
%{gem_libdir}
%{gem_instdir}/misc
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.ja.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.7-1
- Initial package
